Bug 481200 - Extra variable "type" mentioned in the return value of listConfigChannels API-doc
Extra variable "type" mentioned in the return value of listConfigChannels API...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-01-22 13:34 EST by Sayli Karmarkar
Modified: 2015-03-22 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:54:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-01-22 13:34:17 EST
Description of problem:
Extra variable "type" mentioned in the return value of listConfigChannels API-doc which is not returned in the result.

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20081223.1


Steps to Reproduce:
1. Create an activation key 1-foobar and configuration channel myconfig. 
2. Give provisioning entitlements to 1-foobar and subscribe channel myconfig.
3. try running api activationkey.listConfigChannels(sessionkey, "1-foobar")
4. See result returned and api doc for that api.
  
Actual results:
[{'description': 'myconfig', 'configChannelType': {'priority': 1, 'id': 1, 'name': 'A general purpose configuration channel', 'label': 'normal'}, 'label': 'myconfig', 'orgId': 1, 'id': 1, 'name': 'myconfig'}]

Expected results:
API docs show an extra variable "type" which is nt returned.  We just need to remove it from docs.
Comment 2 Brad Buckingham 2009-02-03 18:04:37 EST
Modifications made with git commit: 35153033d500057c59873a954fe59b884f596b1f
Comment 3 Milan Zázrivec 2009-08-26 07:48:43 EDT
Verified in stage -> RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 15:54:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.